# FactionDisbandEvent.PlayerDisbandReason

Package com.massivecraft.factions.event

## Enum FactionDisbandEvent.PlayerDisbandReason

- java.lang.Object
- - java.lang.Enum<FactionDisbandEvent.PlayerDisbandReason>
  - - com.massivecraft.factions.event.FactionDisbandEvent.PlayerDisbandReason

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<FactionDisbandEvent.PlayerDisbandReason>`, `java.lang.constant.Constable`

Enclosing class:
  FactionDisbandEvent

    public static enum FactionDisbandEvent.PlayerDisbandReason
    extends java.lang.Enum<FactionDisbandEvent.PlayerDisbandReason>

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

### Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`COMMAND` |
`INACTIVITY` |
`LEAVE` |
`PLUGIN` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static FactionDisbandEvent.PlayerDisbandReason` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
`static FactionDisbandEvent.PlayerDisbandReason[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### COMMAND

    public static final FactionDisbandEvent.PlayerDisbandReason COMMAND

#### PLUGIN

    public static final FactionDisbandEvent.PlayerDisbandReason PLUGIN

#### INACTIVITY

    public static final FactionDisbandEvent.PlayerDisbandReason INACTIVITY

#### LEAVE

    public static final FactionDisbandEvent.PlayerDisbandReason LEAVE

### Method Detail

#### values

    public static FactionDisbandEvent.PlayerDisbandReason[] values()

Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FactionDisbandEvent.PlayerDisbandReason valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null